package com.ssj.service.conch.conch.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class HomeworkFeedbackVO4 implements Serializable{
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    private String homeworkId;
    private Integer isFeedback;
    private String subject;
    private String conchVideoPath;
    private String brief;
    private List<String> homeworkPictureList = new ArrayList<>();
    private List<String> homeworkCommentList = new ArrayList<>();
    private List<BookHomeworkWrongQuestionVO> wrongQuestionList = new ArrayList<>();
    private List<String> knowledgeList = new ArrayList<>();


    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        switch (subject){
            case "语文": this.subject = "YUWEN"; break;
            case "数学": this.subject = "SHUXUE"; break;
            case "英语": this.subject = "YINGYU"; break;
            default: this.subject = "SHUXUE"; break;
        }
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Integer getIsFeedback() {
        return isFeedback;
    }

    public void setIsFeedback(Integer isFeedback) {
        this.isFeedback = isFeedback;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
//        this.brief = brief;
    }

    public List<String> getHomeworkPictureList() {
        return homeworkPictureList;
    }

    public void setHomeworkPictureList(List<String> homeworkPictureList) {
        this.homeworkPictureList = homeworkPictureList;
    }

    public List<String> getHomeworkCommentList() {
        return homeworkCommentList;
    }

    public void setHomeworkCommentList(List<String> homeworkCommentList) {
        this.homeworkCommentList = homeworkCommentList;
    }

    public List<BookHomeworkWrongQuestionVO> getWrongQuestionList() {
        return wrongQuestionList;
    }

    public void setWrongQuestionList(List<BookHomeworkWrongQuestionVO> wrongQuestionList) {
        this.wrongQuestionList = wrongQuestionList;
    }

    public List<String> getKnowledgeList() {
        return knowledgeList;
    }

    public void setKnowledgeList(List<String> knowledgeList) {
        this.knowledgeList = knowledgeList;
    }

    public String getConchVideoPath() {
        return conchVideoPath;
    }

    public void setConchVideoPath(String conchVideoPath) {
        this.conchVideoPath = conchVideoPath;
    }
}
